--- vdr-1.3.34-orig/recording.c	2005-10-01 13:29:02.000000000 +0300
+++ vdr-1.3.34/recording.c	2005-10-09 13:51:32.000000000 +0300
@@ -58,6 +59,10 @@
 
 #define MAX_SUBTITLE_LENGTH  40
 
+#ifndef DELETED_REMOVEDELAY
+#  define DELETED_REMOVEDELAY  24 // hours after DELETION which a deleted recording will be actually removed
+#endif
+
 bool VfatFileSystem = false;
 
 static cRecordings DeletedRecordings(true);
@@ -78,12 +83,34 @@
      cThreadLock DeletedRecordingsLock(&DeletedRecordings);
      if (DeletedRecordings.Count()) {
         cRecording *r = DeletedRecordings.First();
+#if 1
+	cRecording *r0 = NULL;
+	while (r) {
+ 	  struct stat st;
+ 	  st.st_ctime = 0; /* -> if stat fails, next condition will be true */
+ 	  stat(r->FileName(), &st);
+#  if 0  // LOG 
+	  FILE *flog=fopen("/video/remove_deleted_recordings-1.3.31.log","a+");
+	  cString str_now = DayDateTime(time(NULL));
+	  fprintf(flog,"@ %s (%09lds): ctime=%09lds diff=%06lds delay=%06lds %s\n",
+		  *str_now, time(NULL), st.st_ctime, time(NULL)-st.st_ctime,
+		  DELETED_REMOVEDELAY*3600, r->FileName());
+	  fclose(flog);
+#  endif
+	  if (time(NULL) - st.st_ctime > DELETED_REMOVEDELAY * 3600)
+ 	    if(!r0 || r->start < r0->start) 
+ 	      r0 = r;
+	  
+ 	  r = DeletedRecordings.Next(r);
+ 	}
+#else
         cRecording *r0 = r;
         while (r) {
               if (r->start < r0->start)
                  r0 = r;
               r = DeletedRecordings.Next(r);
               }
+#endif
         if (r0 && time(NULL) - r0->start > DELETEDLIFETIME * 3600) {
            r0->Remove();
            DeletedRecordings.Del(r0);
